package valeurs;

import java.util.Observable;

public class ValeursObservables extends Observable implements Valeurs {

	private Valeurs valeurs;
	
	public ValeursObservables(Valeurs valeurs) {
		this.valeurs = valeurs;
	}
	
	@Override
	public int taille() {
		return valeurs.taille();
	}

	@Override
	public double somme() {
		return valeurs.somme();
	}

	@Override
	public double valeur(int i) {
		return valeurs.valeur(i);
	}

	@Override
	public void changerValeur(int i, double v) throws ValeurNegativeException {
		valeurs.changerValeur(i, v);
		setChanged();
		notifyObservers(i);
	}

}
